local CPS = require("CPStyling")

tooltips = {}

function tooltips.drawBtn(label, key)
	ImGui.SameLine()
	ImGui.Button(label)
	local active = ImGui.IsItemHovered()

	if active then
		if key == "speedStep" then
			CPS.CPToolTip1Begin(250, 60)
			ImGui.TextWrapped("Il s'agit de la valeur par laquelle la vitesse est augmentée/diminuée lors du défilement")
			CPS.CPToolTip1End()
		elseif key == "speed" then
			CPS.CPToolTip1Begin(250, 70)
			ImGui.TextWrapped("Ceci contrôle la vitesse à laquelle vous volez, peut également être modifié à l'aide de la molette de la souris vers le haut/bas (uniquement lorsque le mode freefly est actif)")
			CPS.CPToolTip1End()
		elseif key == "angle" then
			CPS.CPToolTip1Begin(275, 110)
			ImGui.TextWrapped("Changer cette valeur vous fait voler en courbes / cercles. Combinez cela avec un mouvement multidirectionnel (droite et avant), une faible valeur de délai TP et un TP constant activé (les deux peuvent être trouvés dans l'onglet avancé) pour obtenir des prises de vue vraiment cinématographiques")
			CPS.CPToolTip1End()
		elseif key == "noWeapon" then
			CPS.CPToolTip1Begin(275, 60)
			ImGui.TextWrapped("Utilisez cette option pour désactiver les armes pendant le vol, pour éviter de les faire défiler lorsque vous changez de vitesse de vol.")
			CPS.CPToolTip1End()
		end
	end
end

return tooltips